package plugins.big.bigsnake.graph;

import java.util.List;

import plugins.big.bigsnakeutils.icy.snake2D.Snake2DNode;


public class Edge extends NodeList {
	
	private boolean isReversed_ = false;

	private int snakeParentId_ = 0;
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -8531908884356762463L;

	/** Constructor */
	public Edge(List<Snake2DNode> nodeList) {
		this(nodeList, 0);
	}
	
	
	/** Constructor 2 */
	public Edge(List<Snake2DNode> nodeList, int id) {
		super(nodeList);
		snakeParentId_ = id;
	}
	
	
	@Override
	public String toString() {
		String str = "edge = {";
		for (Snake2DNode node : this) {
			str += "(" + node.x + ", " + node.y + "), ";
		}
		str = str.substring(0, str.length() - 2) + "}";
		return str;
	}
	

	public List<Snake2DNode> subEdge(int fromIndex, int toIndex) {
		return this.subList(fromIndex, toIndex);
	}
	
	
	public boolean isReversed() {
		return isReversed_;
	}
	
	
	public int getParentSnakeId() {
		return snakeParentId_;
	}
	
	
	@Override
	public void reverse() {
		super.reverse();
		isReversed_ = true;
	}
}