package plugins.big.bigsnake.graph;

import plugins.big.bigsnakeutils.icy.snake2D.Snake2DNode;


/**
 * Simply adds an additional field to <code>Snkae2Dnode</code> :
 * the Id of the <code>SubsnakeSD</code> from which is extracted this node.
 * 
 * @version August 14, 2018
 * 
 * @author Aymeric Galan (aymeric.galan@gmail.com)
 *
 */
public class Subsnake2DNode extends Snake2DNode {

	
	private int subsnakeId_ = 0;
	
	
	/** Constructor. */
	public Subsnake2DNode(Snake2DNode node, int subsnakeId) {
		super(node);
		subsnakeId_ = subsnakeId;
	}
	
	
	/** Constructor. */
	public Subsnake2DNode(Snake2DNode node) {
		this(node, 0);
	}
	
	
	/** Getter */
	public int getSubsnakeId( ) {
		return subsnakeId_;
	}

}
