package plugins.big.bigsnake.nuclei;

import java.awt.geom.Point2D;
import java.awt.geom.Point2D.Double;
import java.util.ArrayList;
import java.util.List;

public class SeedPositioner {

	/**
	 * Return a list of points disposed as a equilateral triangle pointing upwards
	 */
	static public List<Point2D.Double> triangleUp(int width, int height) {
		List<Point2D.Double> seedPositions = new ArrayList<Point2D.Double>();
		seedPositions.add(new Point2D.Double(Math.floor(width/2), Math.floor(height/3)));
		seedPositions.add(new Point2D.Double(Math.floor(width/3), Math.floor(2*height/3)));
		seedPositions.add(new Point2D.Double(Math.floor(2*width/3), Math.floor(2*height/3)));
		return seedPositions;
	}
	
	/**
	 * Return a list of points disposed as a two point aligned horizontally
	 */
	public static List<Double> horizontalTwo(int width, int height) {
		List<Point2D.Double> seedPositions = new ArrayList<Point2D.Double>();
		seedPositions.add(new Point2D.Double(Math.floor(width/3), Math.floor(height/2)));
		seedPositions.add(new Point2D.Double(Math.floor(2*width/3), Math.floor(height/2)));
		return seedPositions;
	}
	
	/**
	 * Return a list of points disposed as a two point aligned vertically
	 */
	public static List<Double> verticalTwo(int width, int height) {
		List<Point2D.Double> seedPositions = new ArrayList<Point2D.Double>();
		seedPositions.add(new Point2D.Double(Math.floor(width/2), Math.floor(height/3)));
		seedPositions.add(new Point2D.Double(Math.floor(width/2), Math.floor(2*height/3)));
		return seedPositions;
	}
}

