package plugins.big.bigsnake.tests;

import plugins.big.bigsnake.jaccard.JaccardIndexMode;
import plugins.big.bigsnake.snake.Enums.ESnakeEnergyTypeSD;
import plugins.big.bigsnake.snake.Enums.ESnakeTargetTypeSD;
import plugins.big.bigsnake.snake.Enums.GlobalSnakeEnergyTypeSD;
import plugins.big.bigsnake.snake.Enums.GlobalSnakeInitialization;
import plugins.big.bigsnake.snake.Enums.GlobalSnakeSortingType;
import plugins.big.bigsnakeutils.process.process1D.BSplineBasis.BSplineBasisType;

public class TestParameters {

	/* Nuclei detection parameters */
	final double detectorSigma = 10;
	final double detectorThreshold = 120;
	
	/* LUTs parameters */
	final double imageSigma = 5;
	final int imageChannel = 0;
	
	/* Initializer parameters */
	final GlobalSnakeInitialization initType = 
			GlobalSnakeInitialization.BOUNDED_VORONOI;
	final GlobalSnakeSortingType sortingType = 
			GlobalSnakeSortingType.SUBSNAKE_AREA_INC;
	final double dilationCoef = 1.75; 
	
	/* GlobalSnake parameters */
	final int subdivLevel = 5;
	final int intermedSubdiv = 0;
	final int maxLife = 10000;
	final boolean immortal = false;
	final ESnakeTargetTypeSD targetBrightness = ESnakeTargetTypeSD.BRIGHT;
	final BSplineBasisType basisFunction = BSplineBasisType.DESLAURIERSDUBUC;
	final ESnakeEnergyTypeSD energy = ESnakeEnergyTypeSD.RIDGE;
	final GlobalSnakeEnergyTypeSD globalEnergy = GlobalSnakeEnergyTypeSD.REAL;
	final boolean commonEdges = false;
	
	/* Jaccard index parameters */
	final JaccardIndexMode jaccardMode = JaccardIndexMode.AUTOMATIC;
	
	// SUB OPTIMIZATION
	final double imageSigmaSub = 3;
	final int intermedSubdivSub = 1;
	final int maxLifeSub = 10000;
	final boolean immortalSub = true;
	
	// SUB SUB OPTIMIZATION
	final double imageSigmaSubSub = 4;
	final int intermedSubdivSubSub = 2;
	final int maxLifeSubSub = 3000;
	final boolean immortalSubSub = false;
}
