package plugins.big.bigsnake.utils;


/**
 * Class that a pair of integers.
 * 
 * @version August 3, 2018
 * 
 * @author Aymeric Galan
 */
public class Pair<C> {
	
	private C x = null;
	private C y = null;
	
	public Pair(C x, C y) {
		this.x = x;
		this.y = y;
	}
	
	@Override
	public String toString() {
		return "("+ x + ", " + y + ")";
	}
	
	public C getX() {
		return this.x;
	}
	
	public C getY() {
		return this.y;
	}
	
	public boolean equals(Object obj) {
        if (obj instanceof Pair<?>) {
            Pair<?> p2 = (Pair<?>) obj;
            return (getX() == p2.getX()) && (getY() == p2.getY());
        }
        return super.equals(obj);
    }
}